CRect = {};

function CRect:new()
--
	local object = 
	{
		pos = CPoint:new(),
		dim = CPoint:new(),
	};
	
	setmetatable( object, { __index = CRect } );
	
	return object;
--
end;

function CRect:SetPos(x, y)
--
	self.pos:Set(x, y);
--
end;

function CRect:SetXPos( x )
--
	self.pos:SetX( x );
--
end;

function CRect:SetYPos( y )
--
	self.pos:SetY( y );
--
end;

function CRect:GetPos()
--
	return self.pos:Get();		
--
end;

function CRect:GetXPos()
--
	return self.pos:GetX();
--
end;

function CRect:GetYPos()
--
	return self.pos:GetY();
--
end;

function CRect:SetSize(w, h)
--
	self.dim:Set( w, h );
--
end;

function CRect:SetWidth( w )
--
	self.pos:SetX( w );
--
end;

function CRect:SetHeight( h )
--
	self.pos:SetY( h );
--
end;

function CRect:GetSize()
--
	return self.dim:Get();		
--
end;

function CRect:GetWidth()
--
	return self.dim:GetX();
--
end;

function CRect:GetHeight()
--
	return self.dim:GetY();
--
end;